## org.eclipse.datatools.modelbase.sql.datatypes
Interface UserDefinedType

All Superinterfaces:
  DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  DistinctUserDefinedType, Domain, StructuredUserDefinedType, SybaseASABaseUserDefinedType, SybaseASEUserDefinedType

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl, JDBCDistinctUDT, JDBCStructuredUDT, org.eclipse.datatools.modelbase.sql.datatypes.impl.StructuredUserDefinedTypeImpl, SybaseASABaseUserDefinedTypeImpl, SybaseASACatalogBaseUserDefinedDataType, SybaseASECatalogUserDefinedType, SybaseASEUserDefinedTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl

    public interface UserDefinedType

extends DataType

A representation of the model object 'User Defined Type'. Reference: 5WD-02-Foundation-2002-12 4.7 User-defined types

The following features are supported:

- `Schema`
- `Ordering`

See Also:
  `SQLDataTypesPackage.getUserDefinedType()`

Method Summary
`UserDefinedTypeOrdering` `getOrdering()` Returns the value of the 'Ordering' containment reference.
`Schema` `getSchema()` Returns the value of the 'Schema' reference.
`void` `setOrdering(UserDefinedTypeOrdering value)` Sets the value of the '`Ordering`' containment reference.
`void` `setSchema(Schema value)` Sets the value of the '`Schema`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSchema

    Schema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`User Defined Types`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `SQLDataTypesPackage.getUserDefinedType_Schema()`, `Schema.getUserDefinedTypes()`

### setSchema

    void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### getOrdering

    UserDefinedTypeOrdering getOrdering()

  Returns the value of the 'Ordering' containment reference.

  If the meaning of the 'Ordering' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordering' containment reference.
  See Also:
    `setOrdering(UserDefinedTypeOrdering)`, `SQLDataTypesPackage.getUserDefinedType_Ordering()`

### setOrdering

    void setOrdering(UserDefinedTypeOrdering value)

  Sets the value of the '`Ordering`' containment reference.

  Parameters:
    `value` - the new value of the 'Ordering' containment reference.
  See Also:
    `getOrdering()`